package eu.teraflow.automation.device;

import eu.teraflow.automation.device.model.Device;
import eu.teraflow.automation.device.model.DeviceConfig;
import io.smallrye.mutiny.Uni;

public interface DeviceService {

    Uni<DeviceConfig> getInitialConfiguration(String deviceId);

    Uni<String> configureDevice(Device device);
}
